## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ElemDecimalFormat Class Reference

`#include <ElemDecimalFormat.hpp>`

Inheritance diagram for ElemDecimalFormat

Collaboration diagram for ElemDecimalFormat:

List of all members.

## Public Methods

- ElemDecimalFormat ( StylesheetConstructionContext& constructionContext, Stylesheet& stylesheetTree, const AttributeListType& atts, int lineNumber, int columnNumber)
    Construct an object corresponding to a decimal-format element. More...
- ~ElemDecimalFormat ()
- virtual const XalanDOMString& getElementName () const
    Get a string for the name of the element. More...
- virtual void execute (StylesheetExecutionContext& executionContext) const
    Execute the element's primary function. More...
- const XalanDecimalFormatSymbols& getDecimalFormatSymbols () const
- const XalanQName& getQName () const
- virtual const XPath* getXPath (unsigned int index = 0) const
    Get XPath pattern/expression of one of the element atribute. More...

## Constructor & Destructor Documentation

ElemDecimalFormat::ElemDecimalFormat ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| const AttributeListType & atts,
| int lineNumber,
| int columnNumber )

Construct an object corresponding to a decimal-format element.

Parameters:

  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document

ElemDecimalFormat::~ElemDecimalFormat ( | )

## Member Function Documentation

virtual void ElemDecimalFormat::execute ( | StylesheetExecutionContext & executionContext ) const`[virtual]`

Execute the element's primary function.

Subclasses of this function may recursively execute down the element tree.

Parameters:

  executionContext | The current execution context

Reimplemented from ElemTemplateElement.

const XalanDecimalFormatSymbols & ElemDecimalFormat::getDecimalFormatSymbols ( | ) const`[]`

virtual const XalanDOMString& ElemDecimalFormat::getElementName ( | ) const`[virtual]`

Get a string for the name of the element.

Useful for debugging purposes, and error reporting.

Returns:
  A string containing the name of the element.

Reimplemented from ElemTemplateElement.

const XalanQName & ElemDecimalFormat::getQName ( | ) const`[]`

virtual const XPath* ElemDecimalFormat::getXPath ( | unsigned int index = 0 ) const`[virtual]`

Get XPath pattern/expression of one of the element atribute.

@index number of the attribute. If an attribute has more then one attribute with pattern/expression,the order of the returned expressions are undefined

Returns:
  pointer or null

Reimplemented from ElemTemplateElement.

The documentation for this class was generated from the following file:

- ElemDecimalFormat.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.